/**
 * Ein Integer Wert der fuer eine
 * bestimmte Zeit gueltig ist.
 * 
 * @see Karte
 */

public class ZeitWert {

	/**
	 * Der abgespeicherte Wert
	 */
	private int Wert;
	 
	 /** 
	  * Zum Wert gehoeriger Zeitstempel
	  */
	private long Zeitstempel;
	
    /**
     * Konstruktor 
     */  
	public ZeitWert(int wert, long zeit) 
	{
		this.Wert = wert;
        this.Zeitstempel = zeit;
    }
    
    /**
     * Getter - Methode
     *
     * @return Zeitstempel des Objektes
     */
    public long gibZeitstempel()
    {
    	return Zeitstempel;
    } 
    
    /**
     * Setter - Methode
     *
     * @param zeit  der neue Zeitstempel
     */
    public void setzeZeitstempel(long zeit)
    {
    	this.Zeitstempel = zeit;
    } 
    
    /**
     * Getter - Methode
     *
     * @return Wert des Objektes
     */
    public int gibWert()
    {
    	return Wert;
    } 
    
    /**
     * Setter - Methode
     *
     * @param wert der neue Wert
     */
    public void setzeWert(int wert)
    {
    	this.Wert = wert;
    }    

	/**
	 * Vergleicht den eigenen Zeitstempel und
	 * den uebergebenen auf Gleichheit des Datums
	 *
	 * @param  zeitstempel der zu vergleichende zeistempel
	 * @return true, falls die beiden Datumangaben gleich sind
	public boolean hatGleichesDatum(long zeitstempel)
    {
		return Zeit.sindGleich(this.Zeitstempel, zeitstempel, "yyyy-MM-dd");
    }    
	 */
 }
    
    
    


